View Issue Details

IDProjectCategoryView StatusLast Update
0005601Talerdocumentationpublic2019-02-27 21:10
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PriorityhighSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.6Fixed in Version0.6 
Summary0005601: Some text blocks don't get translated by pybabel.
DescriptionIt happens on those blocks wrapped in "{% trans %}" blocks; some of them are just ignored by the translation process, and appear in the english version as no translation was ever made.
Additional InformationThe codebase involved is docs-landing.
TagsNo tags attached.

Activities

ng0

2019-02-22 21:06

developer   ~0013949

Could it be that the failing blocks include symbols which are problematic for pybabel?
I've noticed some messages in gnunet.org/www as warnings in the pybabel phase.

Marcello Stanisci

2019-02-25 15:29

manager   ~0014025

Yes, it could. This block used to problematic, and if I remove _both_ lines marked NOTHANKS, it suddenly becomes translateable.

msgid ""
"\n" (<- NOTHANKS)
" Description of our taler.net setup and how to contribute.\n"
" Also available as\n"
" " (<- NOTHANKS)

Marcello Stanisci

2019-02-25 17:48

manager   ~0014027

Fixed here: c96891f.

Issue History

Date Modified Username Field Change
2019-02-22 20:31 Marcello Stanisci New Issue
2019-02-22 20:31 Marcello Stanisci Status new => assigned
2019-02-22 20:31 Marcello Stanisci Assigned To => Marcello Stanisci
2019-02-22 21:06 ng0 Note Added: 0013949
2019-02-25 15:29 Marcello Stanisci Note Added: 0014025
2019-02-25 17:48 Marcello Stanisci Note Added: 0014027
2019-02-25 17:48 Marcello Stanisci Status assigned => resolved
2019-02-25 17:48 Marcello Stanisci Resolution open => fixed
2019-02-27 21:10 Christian Grothoff Product Version => SVN HEAD
2019-02-27 21:10 Christian Grothoff Fixed in Version => 0.6
2019-02-27 21:10 Christian Grothoff Target Version => 0.6